package jp.hasc.hasctool.core.runtime.filter.weka;

import weka.classifiers.Classifier;
import weka.core.Instances;

/**
 * WEKA のDataクラスです
 * @author hiro
 */
public class WekaDataInstance {

	Instances learningDataset_;//学習データ
	Classifier predictiveModel_;//予測モデル

	public void setLearningDataset(Instances learningDataset){
		learningDataset_ = learningDataset;
	}

	public Instances getLearningDataset(){
		return learningDataset_;
	}

	public void setPredictiveModel(Classifier predictiveModel){
		predictiveModel_ = predictiveModel;
	}

	public Classifier getPredictiveModel(){
		return predictiveModel_;
	}

}
